// 伴宠师-合伙人工作台内部流程
import request from '@/utils/request'

// 合伙人工作台 - 获取bannerList
export const getLicenseList = () => {
  return request({
    url: '/applet/examination/licenseList',
    method: "get"
  }).then(res => {
    return res.data
  })
}

// 合伙人工作台 - 绑定二维码
export const hhrCode = (appUserId) => {
  return request({
    url: `/applet/workOut/hhrCode/${appUserId}`,
    method: "get"
  }).then(res => {
    return res.data
  })
}

// 合伙人工作台 - 绑定用户基础信息
export const hhrInfo = (appUserId) => {
  return request({
    url: `/applet/workOut/hhrInfo/${appUserId}`,
    method: "get"
  }).then(res => {
    return res.data
  })
}

// 合伙人工作台 - 根据用户标识查询用户下单详细信息
export const hhrMyUserGetById = (appUserId) => {
  return request({
    url: `/applet/workOut/hhrMyUserGetById/${appUserId}`,
    method: "get"
  }).then(res => {
    return res.data
  })
}

// 合伙人工作台 - 我的用户列表 0 未下单 1已下单
export const hhrMyUserGetById = (data) => {
  return request({
    url: '/applet/workOut/hhrMyUserList',
    method: "post",
	data
  }).then(res => {
    return res.data
  })
}